docker-compose:
  image: docker:24.0.7
  services:
    - docker:dind
  before_script:
    - docker-compose up --detach
  script:
    - sleep 5
    - wget -O - http://docker:8080
    - docker ps -a
    - docker network ls
    - docker network inspect ci-dind-docker-compose_default
  after_script:
    - docker-compose down

services_:
  image: docker:24.0.7
  services:
    - docker:dind
    - nginx
  script:
    - sleep 5
    - wget -O - http://nginx:80
    - docker ps -a
